org.eclipse.jetty.http

## Class HttpHeaderValues

- java.lang.Object
- - org.eclipse.jetty.io.BufferCache
  - - org.eclipse.jetty.http.HttpHeaderValues

    public class HttpHeaderValues
    extends BufferCache

Cached HTTP Header values. This class caches the conversion of common HTTP Header values to and from `ByteArrayBuffer` instances. The resource "/org/eclipse/jetty/useragents" is checked for a list of common user agents, so that repeated creation of strings for these agents can be avoided.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.io.BufferCache

`BufferCache.CachedBuffer`

### Field Summary

Fields
`static String` `BYTES`
`static Buffer` `BYTES_BUFFER`
`static int` `BYTES_ORDINAL`
`static HttpHeaderValues` `CACHE`
`static String` `CHUNKED`
`static Buffer` `CHUNKED_BUFFER`
`static int` `CHUNKED_ORDINAL`
`static String` `CLOSE`
`static Buffer` `CLOSE_BUFFER`
`static int` `CLOSE_ORDINAL`
`static String` `CONTINUE`
`static Buffer` `CONTINUE_BUFFER`
`static int` `CONTINUE_ORDINAL`
`static String` `GZIP`
`static Buffer` `GZIP_BUFFER`
`static int` `GZIP_ORDINAL`
`static String` `IDENTITY`
`static Buffer` `IDENTITY_BUFFER`
`static int` `IDENTITY_ORDINAL`
`static String` `KEEP_ALIVE`
`static Buffer` `KEEP_ALIVE_BUFFER`
`static int` `KEEP_ALIVE_ORDINAL`
`static String` `NO_CACHE`
`static Buffer` `NO_CACHE_BUFFER`
`static int` `NO_CACHE_ORDINAL`
`static String` `PROCESSING`
`static Buffer` `PROCESSING_BUFFER`
`static int` `PROCESSING_ORDINAL`
`static String` `TE`
`static Buffer` `TE_BUFFER`
`static int` `TE_ORDINAL`
`static String` `UPGRADE`
`static Buffer` `UPGRADE_BUFFER`
`static int` `UPGRADE_ORDINAL`

### Constructor Summary

Constructors
Constructor and Description
`HttpHeaderValues()`

### Method Summary

Methods
`static boolean` `hasKnownValues(int httpHeaderOrdinal)`

### Methods inherited from class org.eclipse.jetty.io.BufferCache

`add, get, get, get, getBest, getOrdinal, getOrdinal, lookup, lookup, toString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CLOSE

    public static final String CLOSE

See Also:
  Constant Field Values

#### CHUNKED

    public static final String CHUNKED

See Also:
  Constant Field Values

#### GZIP

    public static final String GZIP

See Also:
  Constant Field Values

#### IDENTITY

    public static final String IDENTITY

See Also:
  Constant Field Values

#### KEEP_ALIVE

    public static final String KEEP_ALIVE

See Also:
  Constant Field Values

#### CONTINUE

    public static final String CONTINUE

See Also:
  Constant Field Values

#### PROCESSING

    public static final String PROCESSING

See Also:
  Constant Field Values

#### TE

    public static final String TE

See Also:
  Constant Field Values

#### BYTES

    public static final String BYTES

See Also:
  Constant Field Values

#### NO_CACHE

    public static final String NO_CACHE

See Also:
  Constant Field Values

#### UPGRADE

    public static final String UPGRADE

See Also:
  Constant Field Values

#### CLOSE_ORDINAL

    public static final int CLOSE_ORDINAL

See Also:
  Constant Field Values

#### CHUNKED_ORDINAL

    public static final int CHUNKED_ORDINAL

See Also:
  Constant Field Values

#### GZIP_ORDINAL

    public static final int GZIP_ORDINAL

See Also:
  Constant Field Values

#### IDENTITY_ORDINAL

    public static final int IDENTITY_ORDINAL

See Also:
  Constant Field Values

#### KEEP_ALIVE_ORDINAL

    public static final int KEEP_ALIVE_ORDINAL

See Also:
  Constant Field Values

#### CONTINUE_ORDINAL

    public static final int CONTINUE_ORDINAL

See Also:
  Constant Field Values

#### PROCESSING_ORDINAL

    public static final int PROCESSING_ORDINAL

See Also:
  Constant Field Values

#### TE_ORDINAL

    public static final int TE_ORDINAL

See Also:
  Constant Field Values

#### BYTES_ORDINAL

    public static final int BYTES_ORDINAL

See Also:
  Constant Field Values

#### NO_CACHE_ORDINAL

    public static final int NO_CACHE_ORDINAL

See Also:
  Constant Field Values

#### UPGRADE_ORDINAL

    public static final int UPGRADE_ORDINAL

See Also:
  Constant Field Values

#### CACHE

    public static final HttpHeaderValues CACHE

#### CLOSE_BUFFER

    public static final Buffer CLOSE_BUFFER

#### CHUNKED_BUFFER

    public static final Buffer CHUNKED_BUFFER

#### GZIP_BUFFER

    public static final Buffer GZIP_BUFFER

#### IDENTITY_BUFFER

    public static final Buffer IDENTITY_BUFFER

#### KEEP_ALIVE_BUFFER

    public static final Buffer KEEP_ALIVE_BUFFER

#### CONTINUE_BUFFER

    public static final Buffer CONTINUE_BUFFER

#### PROCESSING_BUFFER

    public static final Buffer PROCESSING_BUFFER

#### TE_BUFFER

    public static final Buffer TE_BUFFER

#### BYTES_BUFFER

    public static final Buffer BYTES_BUFFER

#### NO_CACHE_BUFFER

    public static final Buffer NO_CACHE_BUFFER

#### UPGRADE_BUFFER

    public static final Buffer UPGRADE_BUFFER

### Constructor Detail

#### HttpHeaderValues

    public HttpHeaderValues()

### Method Detail

#### hasKnownValues

    public static boolean hasKnownValues(int httpHeaderOrdinal)